{ rustPackages, stdenv, rustc, rust-analyzer, projectConfig ? rustPackages.callPackage ./project-config.nix { }, ... }: let
  package = rustPackages.callPackage ./default.nix { inherit projectConfig; };
in
package.overrideAttrs (final: (prevAttrs: {
  nativeBuildInputs = prevAttrs.nativeBuildInputs ++ projectConfig.developmentTools ++ [rust-analyzer];

  RUST_SRC_PATH = stdenv.mkDerivation {
    inherit (rustc) src;
    inherit (rustc.src) name;
    phases = [ "unpackPhase" "installPhase" ];
    installPhase = ''cp -r library $out'';
  };
}))
