fn main() -> Result<(), Box<dyn std::error::Error>> {
    tonic_build::configure()
        .type_attribute(
            "Message",
            "#[derive(serde::Deserialize, serde::Serialize)]\n#[serde(tag = \"type\")]",
        )
        .type_attribute(
            "SignalingMessage",
            "#[derive(serde::Deserialize, serde::Serialize)]\n#[serde(default)]",
        )
        .type_attribute(
            "SDPMessage",
            "#[derive(serde::Deserialize, serde::Serialize)]",
        )
        .type_attribute(
            "ICECandidate",
            "#[derive(serde::Deserialize, serde::Serialize)]",
        )
        .compile(&["proto/signaling.proto"], &["proto"])?;
    Ok(())
}
